GetSynchronizationConfiguration - Amazon Simple Storage Service

GetSynchronizationConfiguration

Returns the synchronization configuration for the specified S3 File System, including import data rules and expiration data rules.

Request Syntax

GET /file-systems/fileSystemId/synchronization-configuration HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

fileSystemId

The ID or Amazon Resource Name (ARN) of the S3 File System to retrieve the synchronization configuration for.

Length Constraints: Minimum length of 0. Maximum length of 128.

Pattern: (arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "expirationDataRules": [ { "daysAfterLastAccess": number } ], "importDataRules": [ { "prefix": "string", "sizeLessThan": number, "trigger": "string" } ], "latestVersionNumber": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

expirationDataRules

An array of expiration data rules that control when cached data expires from the file system.

Type: Array of ExpirationDataRule objects

Array Members: Fixed number of 1 item.

importDataRules

An array of import data rules that control how data is imported from S3 into the file system.

Type: Array of ImportDataRule objects

Array Members: Minimum number of 1 item. Maximum number of 10 items.

latestVersionNumber

The version number of the synchronization configuration. Use this value with PutSynchronizationConfiguration to ensure optimistic concurrency control.

Type: Integer

Errors

InternalServerException

An internal server error occurred. Retry your request.

errorCode

The error code associated with the exception.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource exists and that you have permission to access it.

errorCode

The error code associated with the exception.

HTTP Status Code: 404

ThrottlingException

The request was throttled. Retry your request using exponential backoff.

errorCode

The error code associated with the exception.

HTTP Status Code: 429

ValidationException

The input parameters are not valid. Check the parameter values and try again.

errorCode

The error code associated with the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: